summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Jick Nan <jick.nan@gmail.com>2010-05-11 20:00:26 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:26 +0200
commit62aabd9a15a7954252e27ebc26439a7b62a8a5a8 (patch)
tree81bc839273a6f8cf649931ba406fc04d7d4cfb26 /development
parentdef24fc089011e4ffc02965a58dc1abeeef7a98f (diff)
downloadslackbuilds-62aabd9a15a7954252e27ebc26439a7b62a8a5a8.tar.gz
slackbuilds-62aabd9a15a7954252e27ebc26439a7b62a8a5a8.tar.xz
development/mod_python: Added to 12.0 repository
Diffstat (limited to 'development')
-rw-r--r--development/mod_python/README1
-rw-r--r--development/mod_python/mod_python.SlackBuild69
-rw-r--r--development/mod_python/mod_python.info8
-rw-r--r--development/mod_python/slack-desc19
4 files changed, 97 insertions, 0 deletions
diff --git a/development/mod_python/README b/development/mod_python/README
new file mode 100644
index 0000000000..fb595b9ff6
--- /dev/null
+++ b/development/mod_python/README
@@ -0,0 +1 @@
+mod_python is an Apache module for Python.
diff --git a/development/mod_python/mod_python.SlackBuild b/development/mod_python/mod_python.SlackBuild
new file mode 100644
index 0000000000..a8d3e6e8ea
--- /dev/null
+++ b/development/mod_python/mod_python.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Slackware build script for mod_python
+
+# Written by Jick Nan (jick.nan@gmail.com)
+
+PRGNAM=mod_python
+VERSION=3.3.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xzvf $CWD/$PRGNAM-$VERSION.tgz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --with-apxs=/usr/sbin/apxs \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+if [ -d $PKG/usr/man ]; then
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+fi
+
+if [ -d $PKG/usr/info ]; then
+ rm -rf $PKG/usr/info/dir
+ gzip -9 $PKG/usr/info/*.info*
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README NOTICE doc-html $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/mod_python/mod_python.info b/development/mod_python/mod_python.info
new file mode 100644
index 0000000000..3029353654
--- /dev/null
+++ b/development/mod_python/mod_python.info
@@ -0,0 +1,8 @@
+PRGNAM="mod_python"
+VERSION="3.3.1"
+HOMEPAGE="http://httpd.apache.org/modules/python-download.cgi"
+DOWNLOAD="http://www.hightechimpact.com/Apache/httpd/modpython/mod_python-3.3.1.tgz"
+MD5SUM="a3b0150176b726bd2833dac3a7837dc5"
+MAINTAINER="Jick Nan"
+EMAIL="jick.nan@gmail.com"
+APPROVED="rworkman"
diff --git a/development/mod_python/slack-desc b/development/mod_python/slack-desc
new file mode 100644
index 0000000000..d88f5ae3f9
--- /dev/null
+++ b/development/mod_python/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mod_python: mod_python (Apache module for Python)
+mod_python:
+mod_python: Apache module for Python.
+mod_python:
+mod_python: http://httpd.apache.org/modules/python-download.cgi
+mod_python:
+mod_python:
+mod_python:
+mod_python:
+mod_python:
+mod_python: